# Uses of Class
it.tdlight.jni.TdApi.InviteLinkChatType

## Uses of TdApi.InviteLinkChatType in it.tdlight.jni

Subclasses of TdApi.InviteLinkChatType in it.tdlight.jni
Modifier and Type
Class
Description
`static final class`
`TdApi.InviteLinkChatTypeBasicGroup`
The link is an invite link for a basic group.
`static final class`
`TdApi.InviteLinkChatTypeChannel`
The link is an invite link for a channel.
`static final class`
`TdApi.InviteLinkChatTypeSupergroup`
The link is an invite link for a supergroup.
Fields in it.tdlight.jni declared as TdApi.InviteLinkChatType
Modifier and Type
Field
Description
`TdApi.InviteLinkChatType`
TdApi.ChatInviteLinkInfo.`type`
Type of the chat.
Constructors in it.tdlight.jni with parameters of type TdApi.InviteLinkChatType
Modifier
Constructor
Description
``
`ChatInviteLinkInfo(long chatId, int accessibleFor, TdApi.InviteLinkChatType type, String title, TdApi.ChatPhotoInfo photo, int accentColorId, String description, int memberCount, long[] memberUserIds, boolean createsJoinRequest, boolean isPublic, boolean isVerified, boolean isScam, boolean isFake)`
Contains information about a chat invite link.